<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <title>0to100</title>
    <link rel="stylesheet" type="text/css" href="assets/styles.css">
    <link rel="stylesheet" type="text/css" href="assets/styles/coding.css">
    <link href="https://fonts.googleapis.com/css?family=Vibur&display=swap" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
</head>
<body>
    <h1>0to100.ink</h1>
    <div id="screen" class="videoContainer">
        <article>
            <b>404</b>
            <p>Could not find screen</p>
        </article>
        <div class="frame"></div>
    </div>
    <div id="webcam" class="videoContainer">
        <article>
            <b>404</b>
            <p>Could not find webcam</p>
        </article>
        <div class="frame"></div>
    </div>
    <div id="chat">
        <div v-for="message in messages" class="message">
            <div class="content">
                    <span v-for="part in message.content">
                        <span v-if="part.type === 'text'">{{ part.message }}</span>
                        <img v-if="part.type === 'img'" :src="part.source" />
                    </span>
            </div>
            <p class="author">{{ message.author }}</p>
        </div>
    </div>
    <script src="assets/scripts/chat.js"></script>
</body>
</html>